summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-30 12:44:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-30 12:44:19 +0000
commit2bf005c0193eaf54f7a72890ae78f69e2b68c387 (patch)
tree185e72684cfc55079a5198281c2b5a32c282b7f0 /dev-python
parent908cd000e525d1b7d75efa5bf085c86c37c935d3 (diff)
downloadbaldeagleos-repo-2bf005c0193eaf54f7a72890ae78f69e2b68c387.tar.gz
baldeagleos-repo-2bf005c0193eaf54f7a72890ae78f69e2b68c387.tar.xz
baldeagleos-repo-2bf005c0193eaf54f7a72890ae78f69e2b68c387.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/atpublic/Manifest1
-rw-r--r--dev-python/atpublic/atpublic-4.1.0.ebuild32
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.74.ebuild58
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.74.ebuild67
-rw-r--r--dev-python/build/build-1.2.1.ebuild2
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-19.0.0_pre20240330.ebuild53
-rw-r--r--dev-python/flexmock/Manifest1
-rw-r--r--dev-python/flexmock/flexmock-0.12.1.ebuild32
-rw-r--r--dev-python/jupyter-collaboration/Manifest1
-rw-r--r--dev-python/jupyter-collaboration/jupyter-collaboration-2.0.11.ebuild46
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-19.0.0_pre20240330.ebuild45
-rw-r--r--dev-python/lxml/Manifest2
-rw-r--r--dev-python/lxml/lxml-4.9.4.ebuild118
-rw-r--r--dev-python/numpydoc/Manifest1
-rw-r--r--dev-python/numpydoc/numpydoc-1.7.0.ebuild50
-rw-r--r--dev-python/opentelemetry-api/Manifest1
-rw-r--r--dev-python/opentelemetry-api/opentelemetry-api-1.24.0.ebuild71
-rw-r--r--dev-python/opentelemetry-sdk/Manifest1
-rw-r--r--dev-python/opentelemetry-sdk/opentelemetry-sdk-1.23.0.ebuild3
-rw-r--r--dev-python/opentelemetry-sdk/opentelemetry-sdk-1.24.0.ebuild80
-rw-r--r--dev-python/opentelemetry-semantic-conventions/Manifest1
-rw-r--r--dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.24.0.ebuild69
-rw-r--r--dev-python/pipx/Manifest1
-rw-r--r--dev-python/pipx/pipx-1.5.0.ebuild93
-rw-r--r--dev-python/respx/respx-0.21.1.ebuild3
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.44.0.ebuild155
-rw-r--r--dev-python/superqt/Manifest1
-rw-r--r--dev-python/superqt/superqt-0.6.1.ebuild49
-rw-r--r--dev-python/tree-sitter/metadata.xml4
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-4.2.3.ebuild69
-rw-r--r--dev-python/uv/uv-0.1.24.ebuild2
-rw-r--r--dev-python/xarray/Manifest1
-rw-r--r--dev-python/xarray/xarray-2024.3.0.ebuild91
-rw-r--r--dev-python/xmlsec/xmlsec-1.3.12-r4.ebuild (renamed from dev-python/xmlsec/xmlsec-1.3.12-r3.ebuild)3
40 files changed, 1037 insertions, 176 deletions
diff --git a/dev-python/atpublic/Manifest b/dev-python/atpublic/Manifest
index 2471dfb83b70..0d74e1c5d070 100644
--- a/dev-python/atpublic/Manifest
+++ b/dev-python/atpublic/Manifest
@@ -1 +1,2 @@
DIST atpublic-4.0.tar.gz 14684 BLAKE2B d8cecb083ca467d2856c0d7ae01dc4e161c31179f08c79d7b0b4650d9a3e32e15673d80d53d6851d70a4605eda8e41ba23d60be452209f96e995d632acfe5b29 SHA512 2f338d3ae11d15e9ffe26881fab1c183154b9a0a7a66532a5eb39d1d48d41548078826875247c94f3853925bc1df2b8f86f4ed94533a8e58aa98de148cf5639c
+DIST atpublic-4.1.0.tar.gz 14426 BLAKE2B c535d36b8c4723fa0c36ed543461f8364445c52893e8a5cd6a6bfdec0a387308a74d9f6a9d4c204ac753fcc847a105f6f4a5dc7afa5848d08f0a269af8b01397 SHA512 bd840a44f3f9d8f7099c22d67866744ef43ed4bfa00e0fd8a6a7516e8e995287b234fb97eaf30be494f06a8ff1020c0479533bfe33adc56ae62bd976bd997b4b
diff --git a/dev-python/atpublic/atpublic-4.1.0.ebuild b/dev-python/atpublic/atpublic-4.1.0.ebuild
new file mode 100644
index 000000000000..a5b7527f91e1
--- /dev/null
+++ b/dev-python/atpublic/atpublic-4.1.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A decorator to populate __all__ and the module globals"
+HOMEPAGE="
+ https://gitlab.com/warsaw/public/
+ https://pypi.org/project/atpublic/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/sybil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 0ca01e36b6de..2fb0b1d21e41 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.34.70.gh.tar.gz 787964 BLAKE2B ae08d6acf82fcd038d8fe4a22c65a783d8d8
DIST boto3-1.34.71.gh.tar.gz 788270 BLAKE2B adeb66e9ce793cec4a205942f2ed8b63fa859d9a7b407573d7cf49d9c96bc059e6a412c306f3125bd9fc1cc5ecfb6824697fbb4250e54a25abd3d32b8a2202fd SHA512 d75e784d42b634f32ac074d2c4c3760a21ef8d470d1637d5c0105e5832e475f68908c6cfc19ba20e7a562528bad1422654129a8d62c6c91b179adf1bc5c77268
DIST boto3-1.34.72.gh.tar.gz 788630 BLAKE2B 8620116eae6daa8b147a62cb811281c0de89fbb759f1fc7a93d55568fb973de764c4d3ade2d246e1796f1e750406fda7bc318635ee8c25d3f59c574daf9deced SHA512 a84932a69f0718481ea3a00cc626f06de0d32f28bd404279a4b0655024fee9f8dc1d8105331fbb6d9049548c9adec05879207fd026cb652cc873b007ffba6f21
DIST boto3-1.34.73.gh.tar.gz 789543 BLAKE2B 2b8ce097becd19f5a76a9ce8a0ea9a922e8c879b4a489492ce6a7d1c057782802c61d776d00ea24cc65b3341b054a8922e81abff4ced5bf9162c60363444bd03 SHA512 dec8793f4951b49c6a0baeb7b9359a01c21222c1a88ab8fdb984dd8a91ed30a35b9ba7507750c2f5c18f3f68d7543b62ac2b8fb23451164eaa09c0fd8fd1caaf
+DIST boto3-1.34.74.gh.tar.gz 790202 BLAKE2B 4368db3e11d6bda6eee4ccde82bcc0c2c5a67448400ce0d29d221840360348ab1c7d3c8360ff3c91190ebccb30e187c6fc3ed72f29f1a1d1f883888a8cad12dc SHA512 977e1b9f8a9506bd040ff6a9a1df106294ff62a100cf5cb31aeaa363a4f3fe28cab71e4740028202829fac3023bf832bd4ac25b3474c2a5e107892c05b356e0c
diff --git a/dev-python/boto3/boto3-1.34.74.ebuild b/dev-python/boto3/boto3-1.34.74.ebuild
new file mode 100644
index 000000000000..c6201d2c5818
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.74.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 0790d5253c42..49fe73bac42f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.34.70.gh.tar.gz 12794510 BLAKE2B 066c560474c32cf8f7fb0b3b1199ee3
DIST botocore-1.34.71.gh.tar.gz 12795892 BLAKE2B 6047152353feb3321d4a5f7fa52baa0635ec1e25fb24c6b92f74615826c7955fd2f02a1b4ce274e6a0fca07233a3611da398364ef896547504b9dadadca6fa08 SHA512 13d8730b4018c63f42cf8ab4d885cee71b8d9126346aa6bfda9007380edf5bebe983b2e55c4c75c9e59d09a5c0dd9a22ffbabd94a11ccfc6ad920f962b729575
DIST botocore-1.34.72.gh.tar.gz 12804351 BLAKE2B 8231146535b4213d1724f1895db243e1c4ba838dec51cb2a1348d0f712c2d45288bd83503b818ff23f6721aa3f8f7c9f86a3c8115eaf04c28ddec36271eb06d1 SHA512 b99f1954a0e397066687d66e9d0eec64e3ed27c2d6ebc1c504cc7871f5c4a3b19fbe9843f51fd96ee853a304335463d3b01034dd6f4241b454757a8e2f7719d8
DIST botocore-1.34.73.gh.tar.gz 12806316 BLAKE2B 26efd260c5d93d01c5a3106a121f08c32f5a697f77983b2ad9419bd1ac4076e7121c2c1d44041cbd3ab959d36c8f4c173f8eb355e16bce1c650e812ab305dff0 SHA512 868d7cf19edcb6b6ec5b9b8c30a11e86d59bcb81b539d69cf5312887399f2536f2b197efc34e4cf4c59a324809cfb5a150ec47ac44b27696ba78fc82d672b3d5
+DIST botocore-1.34.74.gh.tar.gz 12820469 BLAKE2B e9d7a35e82aee30666952ea6f74d8d0f695efad2fd0da520b70fdd313cabf3aff6e67fa71543c630bcfb4b4f78f780321babaf118990d8136b79755beadd8a5a SHA512 f7d741bd86e249ae46a7f79828c8b63c66519f9ae203f1a14a17e126c22d9e3d94710f5f5992f057491d3f7e41c7ea180255e1f766dc3bdee96ddb2ac6e28312
diff --git a/dev-python/botocore/botocore-1.34.74.ebuild b/dev-python/botocore/botocore-1.34.74.ebuild
new file mode 100644
index 000000000000..857224b496b7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.74.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/build/build-1.2.1.ebuild b/dev-python/build/build-1.2.1.ebuild
index 7eaa11f6937b..0048af129c22 100644
--- a/dev-python/build/build-1.2.1.ebuild
+++ b/dev-python/build/build-1.2.1.ebuild
@@ -19,7 +19,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc64 ~sparc"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc64 ~sparc ~x86"
IUSE="test-rust"
RDEPEND="
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index beaf87582ac7..68777e30fb2b 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -7,4 +7,5 @@ DIST llvm-project-17.0.6.src.tar.xz.sig 438 BLAKE2B 186e75b6a0fbfe1e85408589c149
DIST llvm-project-18.1.2.src.tar.xz 132060436 BLAKE2B f21fca02fe9e02a3d440595aafbe0572be318ce69cc6285c1bf3dc9187b37ebf4c76f3ea60b6870c441675288f46e5597b069ec451d5026c5161f84daef6b4b2 SHA512 a0d01b018abbdf1609abc7b63911bb4c6c3619b748a0616b66be0843fcaa4240868412c5d1f77fe6dafdfed665b46570e7ce615da58efcaa91e9ddc8481e6fc4
DIST llvm-project-18.1.2.src.tar.xz.sig 566 BLAKE2B 97c6b6b4a041316e70abd54ff715d87a62410fe5590c9b90548fff5a5121d8d5e028ec681f7e99c130d6c6726835365825286ef0a01c82a98394d9369ea7a390 SHA512 1cd8d1c227782cb43e269696045cea500a43f3c6b786f2cda8d380f5b8fc28d3ada11c41c4a252f2d3db465f767b27ea50c5659faa43d4aa5655cc3ffd6243c2
DIST llvm-project-6d3cec01a6c29fa4e51ba129fa13dbf55d2b928e.tar.gz 207700152 BLAKE2B 855720b7a9cc7b1d8fdf398394eb5c702dd615c04e7dad51c449cb1c2f46e75f2ccf2ee10fa3a3403d6aec29f557023a11bd8cdb525bc9c3d76c79f23cd15e82 SHA512 ff6269158e165907c69bd3e4d2d6b87b4f4670546b7e290d7e6665e7097ec887d71174fa37bf5e1755524317e8ae8f0c7c7e428049e8b553faa52c614f1f4490
+DIST llvm-project-a8b0ecd2605ff23f495a8af64e06c35f86834e54.tar.gz 208451583 BLAKE2B 3f8557637b9d10ed924cfec0b3e83d85996417df24b317cac55740aa199ef97cf7560fe634debd1dbfc7c9fc25aa2b2643fccaecc4c866481dc57b11eba1d02f SHA512 1f4bf5a8a59582af426ad13cc828e1e482c5c831ed5a4bb0da419ed3cf67e5e485fd36074603ad22328e35be44b8ccd2d92d1382bc7a228fdf38d458a2321e07
DIST llvm-project-f3cfe016c5d8429c0dccfa6f85442e2ea0d45a58.tar.gz 208184654 BLAKE2B abd35798f7c921866bb221cecc42aa94915271d0804acbf44dbe5640efb787ef9d928c329eacde768fac4292217ed4d3c4187fba02dd1c826059aeaa1bad33f0 SHA512 513f7278367114ba3fe3271e8a790b62adbca97d280968537e44e5df9a7afb467a5ca93480f4d4fb7c4d5c0734d00ab54559bf68c00f09a1fcff2fee492aa84f
diff --git a/dev-python/clang-python/clang-python-19.0.0_pre20240330.ebuild b/dev-python/clang-python/clang-python-19.0.0_pre20240330.ebuild
new file mode 100644
index 000000000000..82c18f7c0f95
--- /dev/null
+++ b/dev-python/clang-python/clang-python-19.0.0_pre20240330.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/flexmock/Manifest b/dev-python/flexmock/Manifest
index c5a2768f05b0..f284a92a80a0 100644
--- a/dev-python/flexmock/Manifest
+++ b/dev-python/flexmock/Manifest
@@ -1,2 +1,3 @@
DIST flexmock-0.11.3.tar.gz 52509 BLAKE2B 5246cedb3cae7aeb4ddee9158bc365be13bf81443711456a84abd3dfb30c8ea7cbca8fbce618efe26d33bc8185a9d7a52f1532934f7aad5fa11296ef21731963 SHA512 38387529d8b7e359cf6e578c9be8ae028cd28929567267bce1bb7f44032c00480520335315bb1c510229728e1101aa379b809fb89aeddafd19590e38e7ebdcf2
DIST flexmock-0.12.0.tar.gz 52704 BLAKE2B fdae0ff50971359a9e27bb70173f10ee093d6dd9e5c70c893b7ef4392f6181472b7fbe6f6b277a1267032731cad9387d01af6e20eaddae42aab08ad4464032fb SHA512 2e0e1169b16c7fe6d251014fa7402aa8dfa8bda953d5e973d9f28964085556a8db9a3be84a37271878604f0d1b54f4c1da8af2d03e43cba9d4f2f8df3ba1f410
+DIST flexmock-0.12.1.tar.gz 52765 BLAKE2B 5b1317ff0d9b1a14d58b47d558a88f38ff7aef40fd349d0e70e9d9688a89b0464419aca953ba481afe3f4ccf88217b76c34e8bf1a053c62caaa1f9877ad35183 SHA512 898876695e9eff4fc37a9d3f6b93a34869500a3ce740e7c43cd4c4317ba59f2ea16ec11b4094037e6b56755047584870fa3af27a041003eb6200d79b3a716e63
diff --git a/dev-python/flexmock/flexmock-0.12.1.ebuild b/dev-python/flexmock/flexmock-0.12.1.ebuild
new file mode 100644
index 000000000000..993bce5c54ed
--- /dev/null
+++ b/dev-python/flexmock/flexmock-0.12.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Testing library to create mocks, stubs and fakes"
+HOMEPAGE="https://flexmock.readthedocs.io/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_teamcity.py
+ tests/test_testtools.py
+ tests/test_unittest.py
+ )
+ epytest -p no:flaky
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ dodoc -r docs
+}
diff --git a/dev-python/jupyter-collaboration/Manifest b/dev-python/jupyter-collaboration/Manifest
index a33beac6f32c..03899f77474d 100644
--- a/dev-python/jupyter-collaboration/Manifest
+++ b/dev-python/jupyter-collaboration/Manifest
@@ -1 +1,2 @@
+DIST jupyter_collaboration-2.0.11.tar.gz 4806486 BLAKE2B 3b27291ad4d8320e146da2cbe1bdbf678c3109c56497147da9d83629cc830d0b12cc556a1379ea4db89200fabf09350d4407e5dcefa6bdbf7f6221f36ae5a7b0 SHA512 8e03e78388167134a13a7ea336b711f37593f1ac8dbf6fc379d5c3b160a99dc0c28f88f0da77d206624e9facd165dd0c0f0dccb3f2eca201da27236048bff435
DIST jupyter_collaboration-2.0.5.tar.gz 4806126 BLAKE2B 5df0d7f782f9574e9f48ea805786b8e85a71fa2938189eef31e0d674e7c173f14d388952e33529f6666cecd9754191caaaeacea30cb090452d8545a19e3951d3 SHA512 e1375bc0559a06596e565cfe3b9b0f9a83a95a64d8a474cf7065172f9df5b84faa4f1966867bb475610df4662205146bb5720005601bafe77790e541681a3e8d
diff --git a/dev-python/jupyter-collaboration/jupyter-collaboration-2.0.11.ebuild b/dev-python/jupyter-collaboration/jupyter-collaboration-2.0.11.ebuild
new file mode 100644
index 000000000000..fe27b2dc192b
--- /dev/null
+++ b/dev-python/jupyter-collaboration/jupyter-collaboration-2.0.11.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="JupyterLab Extension enabling Real-Time Collaboration"
+HOMEPAGE="
+ https://github.com/jupyterlab/jupyter-collaboration/
+ https://pypi.org/project/jupyter-collaboration/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/pycrdt-websocket[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-ydoc-2[${PYTHON_USEDEP}]
+ dev-python/jupyter-server-fileid[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.0.5-no-node-for-version.patch"
+)
+
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+
+ # hatchling cannot install into /etc while specifying prefix as /usr
+ mv -v "${ED}"{/usr,}/etc || die
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index beaf87582ac7..68777e30fb2b 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -7,4 +7,5 @@ DIST llvm-project-17.0.6.src.tar.xz.sig 438 BLAKE2B 186e75b6a0fbfe1e85408589c149
DIST llvm-project-18.1.2.src.tar.xz 132060436 BLAKE2B f21fca02fe9e02a3d440595aafbe0572be318ce69cc6285c1bf3dc9187b37ebf4c76f3ea60b6870c441675288f46e5597b069ec451d5026c5161f84daef6b4b2 SHA512 a0d01b018abbdf1609abc7b63911bb4c6c3619b748a0616b66be0843fcaa4240868412c5d1f77fe6dafdfed665b46570e7ce615da58efcaa91e9ddc8481e6fc4
DIST llvm-project-18.1.2.src.tar.xz.sig 566 BLAKE2B 97c6b6b4a041316e70abd54ff715d87a62410fe5590c9b90548fff5a5121d8d5e028ec681f7e99c130d6c6726835365825286ef0a01c82a98394d9369ea7a390 SHA512 1cd8d1c227782cb43e269696045cea500a43f3c6b786f2cda8d380f5b8fc28d3ada11c41c4a252f2d3db465f767b27ea50c5659faa43d4aa5655cc3ffd6243c2
DIST llvm-project-6d3cec01a6c29fa4e51ba129fa13dbf55d2b928e.tar.gz 207700152 BLAKE2B 855720b7a9cc7b1d8fdf398394eb5c702dd615c04e7dad51c449cb1c2f46e75f2ccf2ee10fa3a3403d6aec29f557023a11bd8cdb525bc9c3d76c79f23cd15e82 SHA512 ff6269158e165907c69bd3e4d2d6b87b4f4670546b7e290d7e6665e7097ec887d71174fa37bf5e1755524317e8ae8f0c7c7e428049e8b553faa52c614f1f4490
+DIST llvm-project-a8b0ecd2605ff23f495a8af64e06c35f86834e54.tar.gz 208451583 BLAKE2B 3f8557637b9d10ed924cfec0b3e83d85996417df24b317cac55740aa199ef97cf7560fe634debd1dbfc7c9fc25aa2b2643fccaecc4c866481dc57b11eba1d02f SHA512 1f4bf5a8a59582af426ad13cc828e1e482c5c831ed5a4bb0da419ed3cf67e5e485fd36074603ad22328e35be44b8ccd2d92d1382bc7a228fdf38d458a2321e07
DIST llvm-project-f3cfe016c5d8429c0dccfa6f85442e2ea0d45a58.tar.gz 208184654 BLAKE2B abd35798f7c921866bb221cecc42aa94915271d0804acbf44dbe5640efb787ef9d928c329eacde768fac4292217ed4d3c4187fba02dd1c826059aeaa1bad33f0 SHA512 513f7278367114ba3fe3271e8a790b62adbca97d280968537e44e5df9a7afb467a5ca93480f4d4fb7c4d5c0734d00ab54559bf68c00f09a1fcff2fee492aa84f
diff --git a/dev-python/lit/lit-19.0.0_pre20240330.ebuild b/dev-python/lit/lit-19.0.0_pre20240330.ebuild
new file mode 100644
index 000000000000..5ed5b5bd096e
--- /dev/null
+++ b/dev-python/lit/lit-19.0.0_pre20240330.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/lxml/Manifest b/dev-python/lxml/Manifest
index 4c919837a9fc..d8735fc872bf 100644
--- a/dev-python/lxml/Manifest
+++ b/dev-python/lxml/Manifest
@@ -1,4 +1,2 @@
-DIST lxml-4.9.3-patches-2.tar.xz 24288 BLAKE2B 47b7c486a1c1616c875111bd53b14d4211a1eee3f412985f4022e71b85b087abd71d36919fb025257f17de404329284898ddc639f85e8b15ade21778fa218d98 SHA512 713172b4c907db6479a0a803a842824825b212a9b645c1ca356f793658bd6c63113ea248278e7c46b512e22e3130696e9fc5127fea82a67372d920733fc160b0
-DIST lxml-4.9.4.gh.tar.gz 960009 BLAKE2B 7d31095dcf1f73c1026e7378e6adb19a053edc116b119ae415c3324134d3700822bf4611dc3cbf7c216d396e1404b143c8ebfdfb7e5a71b9ef6ec187898cc699 SHA512 528ef4ae057a7ee54d3193a042a6db500ada883d1d506829b6824d91ec979feb69ec79239420112eae0e08a437b2e5da8efc35feb5d04d119bfae2679e918d29
DIST lxml-5.1.0.gh.tar.gz 962111 BLAKE2B 31c82eb198911d82fd9f7882bf94547b2367f3b3d1183eb8e8f97297b96faa69230d27b3367160b1f732a5d0878296b2d11787c3b220416c81a920e62ebec4f2 SHA512 1fadfeac1fb8b1e4fb1f7f2acb056865eb2567300a6c728eaede380d846ac75a6e33ebebcbbc6d60f54102152afd5dddf970058c4e27af396e9fa58e83c407a7
DIST lxml-5.1.1.gh.tar.gz 963649 BLAKE2B 0cb7b4e39539ee962cd590b2b2dc644a111a094da9cbccc2ee0c29b9a758d8aca967f989693c76532252909dc44a96a3815273f04f28be2dbeb57d4daae2e6fd SHA512 bb479ca7dcce944a9a3597f67da1b12fb9f3a05592fb8342fe01bc569a86df95c32c7bf1bc0b9cfc0ddffb85adf12612fb2d8622a460357c1aaa56e033476375
diff --git a/dev-python/lxml/lxml-4.9.4.ebuild b/dev-python/lxml/lxml-4.9.4.ebuild
deleted file mode 100644
index 75157bbad856..000000000000
--- a/dev-python/lxml/lxml-4.9.4.ebuild
+++ /dev/null
@@ -1,118 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-
-inherit distutils-r1 optfeature toolchain-funcs
-
-DESCRIPTION="A Pythonic binding for the libxml2 and libxslt libraries"
-HOMEPAGE="
- https://lxml.de/
- https://pypi.org/project/lxml/
- https://github.com/lxml/lxml/
-"
-SRC_URI="
- https://github.com/lxml/lxml/archive/${P}.tar.gz
- -> ${P}.gh.tar.gz
- https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-4.9.3-patches-2.tar.xz
-"
-S=${WORKDIR}/lxml-${P}
-
-LICENSE="BSD ElementTree GPL-2 PSF-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE="doc examples +threads test"
-RESTRICT="!test? ( test )"
-
-# Note: lib{xml2,xslt} are used as C libraries, not Python modules.
-DEPEND="
- >=dev-libs/libxml2-2.10.3
- >=dev-libs/libxslt-1.1.38
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- virtual/pkgconfig
- >=dev-python/cython-0.29.35[${PYTHON_USEDEP}]
- doc? (
- $(python_gen_any_dep '
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/sphinx[${PYTHON_USEDEP}]
- dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
- ')
- )
- test? (
- dev-python/cssselect[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${WORKDIR}"/${PN}-4.9.3-patches-2
-)
-
-python_check_deps() {
- use doc || return 0
- python_has_version -b "dev-python/docutils[${PYTHON_USEDEP}]" &&
- python_has_version -b "dev-python/pygments[${PYTHON_USEDEP}]" &&
- python_has_version -b "dev-python/sphinx[${PYTHON_USEDEP}]" &&
- python_has_version -b "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]"
-}
-
-python_prepare_all() {
- # avoid replacing PYTHONPATH in tests.
- sed -i -e '/sys\.path/d' test.py || die
-
- # don't use some random SDK on Darwin
- sed -i -e '/_ldflags =/s/=.*isysroot.*darwin.*None/= None/' \
- setupinfo.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- local DISTUTILS_ARGS=(
- # by default it adds -w to CFLAGS
- --warnings
- )
- tc-export PKG_CONFIG
- distutils-r1_python_compile
-}
-
-python_compile_all() {
- use doc && emake html
-}
-
-python_test() {
- local dir=${BUILD_DIR}/test$(python_get_sitedir)/lxml
- local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
-
- cp -al "${BUILD_DIR}"/{install,test} || die
- cp -al src/lxml/tests "${dir}/" || die
- cp -al src/lxml/html/tests "${dir}/html/" || die
- ln -rs "${S}"/doc "${dir}"/../../ || die
-
- "${EPYTHON}" test.py -vv --all-levels -p || die "Test ${test} fails with ${EPYTHON}"
-}
-
-python_install_all() {
- if use doc; then
- local DOCS=( README.rst *.txt doc/*.txt )
- local HTML_DOCS=( doc/html/. )
- fi
- if use examples; then
- dodoc -r samples
- fi
-
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- optfeature "Support for BeautifulSoup as a parser backend" dev-python/beautifulsoup4
- optfeature "Translates CSS selectors to XPath 1.0 expressions" dev-python/cssselect
-}
diff --git a/dev-python/numpydoc/Manifest b/dev-python/numpydoc/Manifest
index 39f1d868e633..a7275cce9f3e 100644
--- a/dev-python/numpydoc/Manifest
+++ b/dev-python/numpydoc/Manifest
@@ -1 +1,2 @@
DIST numpydoc-1.6.0.gh.tar.gz 85296 BLAKE2B 839fb0062dc1b0b45dfbc855d50d21a3c23cf1e9fef82b8d44e9d4cc36127c32447ad4c6ee5aa500cd24fb6a304f95426be69406468e3059c068ca4b0ad5714f SHA512 3846f395d8603a21d97a6c0fc57f0ea69e908ff2f672673d336a1f4ff02f5cb3f9e76d1e1ad6d990478b121a327bcca8179c3db6b5215f36818e41e4597878fd
+DIST numpydoc-1.7.0.gh.tar.gz 87818 BLAKE2B b31e9478324bc45d78904c16330c9ed1513eca5668f20472faf9e2a36c0ed7eb03b18cf1c314180ec35716a26bd05357d5ef93025efbb8fb09c885a614ac7ea9 SHA512 0858d7eaafdd93d5a0894bb107b8238f75bd7cd34afa64fee38effcf4bebf9b4db957768143a46eec46023e69b53599a79b07a39640887f3a0471b5996022247
diff --git a/dev-python/numpydoc/numpydoc-1.7.0.ebuild b/dev-python/numpydoc/numpydoc-1.7.0.ebuild
new file mode 100644
index 000000000000..1d47e6777fe6
--- /dev/null
+++ b/dev-python/numpydoc/numpydoc-1.7.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension to support docstrings in Numpy format"
+HOMEPAGE="
+ https://numpydoc.readthedocs.io/en/latest/
+ https://github.com/numpy/numpydoc/
+ https://pypi.org/project/numpydoc/
+"
+SRC_URI="
+ https://github.com/numpy/numpydoc/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/sphinx-6[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.10[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/matplotlib-3.2.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # these require Internet (intersphinx)
+ numpydoc/tests/test_full.py::test_MyClass
+ numpydoc/tests/test_full.py::test_my_function
+ # TODO
+ numpydoc/tests/test_validate.py::test_extract_ignore_validation_comments
+ )
+ epytest -o addopts= --pyargs numpydoc
+}
diff --git a/dev-python/opentelemetry-api/Manifest b/dev-python/opentelemetry-api/Manifest
index 82f3ae2ef0af..a6e4faac064e 100644
--- a/dev-python/opentelemetry-api/Manifest
+++ b/dev-python/opentelemetry-api/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.23.0.gh.tar.gz 523456 BLAKE2B 94047e0d806ce17f0116fd6343daeecbf738c41e3e1cc1cbf8af9a0b1c44b29cecbc597011a7ffe15ffc656f2744750d9117d63bdaa77c7971248f58f9580c8e SHA512 8a2cb94d774db15eb6bb7fd97d5b761d35066779072c0ce0cf51b6d1083d115120b932598c0da2efb20060e8a4c65415a74f508011ccca7242e2d79705f0c246
+DIST opentelemetry-python-1.24.0.gh.tar.gz 532064 BLAKE2B 3dc13658293d1651d8e441b0c43f539a4e5e9d49d633786cb3f3dbab667b016c88777e0691bac24ca43e7df5f04c8e41a67e9f6991787947d743b1b30b5953cd SHA512 dbae1db127e2aed0a90bb01db6e2865162f945a9e6713f5048c7f56660231a14c3707474f9f65db8759f2f03334c3126d0542c3c8c2e0998d0f7f98ae6e84ef8
diff --git a/dev-python/opentelemetry-api/opentelemetry-api-1.24.0.ebuild b/dev-python/opentelemetry-api/opentelemetry-api-1.24.0.ebuild
new file mode 100644
index 000000000000..85827a98c979
--- /dev/null
+++ b/dev-python/opentelemetry-api/opentelemetry-api-1.24.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="opentelemetry-python-${PV}"
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenTelemetry Python API"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-api/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/deprecated-1.2.6[${PYTHON_USEDEP}]
+ dev-python/importlib-metadata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asgiref[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/iniconfig[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+ dev-python/py[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Unnecessary restriction
+ # https://github.com/open-telemetry/opentelemetry-python/pull/3576
+ sed -i -e '/importlib-metadata/s:, <= 7.0::' pyproject.toml || die
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-semantic-conventions opentelemetry-sdk tests/opentelemetry-test-utils ; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ epytest
+}
diff --git a/dev-python/opentelemetry-sdk/Manifest b/dev-python/opentelemetry-sdk/Manifest
index 82f3ae2ef0af..a6e4faac064e 100644
--- a/dev-python/opentelemetry-sdk/Manifest
+++ b/dev-python/opentelemetry-sdk/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.23.0.gh.tar.gz 523456 BLAKE2B 94047e0d806ce17f0116fd6343daeecbf738c41e3e1cc1cbf8af9a0b1c44b29cecbc597011a7ffe15ffc656f2744750d9117d63bdaa77c7971248f58f9580c8e SHA512 8a2cb94d774db15eb6bb7fd97d5b761d35066779072c0ce0cf51b6d1083d115120b932598c0da2efb20060e8a4c65415a74f508011ccca7242e2d79705f0c246
+DIST opentelemetry-python-1.24.0.gh.tar.gz 532064 BLAKE2B 3dc13658293d1651d8e441b0c43f539a4e5e9d49d633786cb3f3dbab667b016c88777e0691bac24ca43e7df5f04c8e41a67e9f6991787947d743b1b30b5953cd SHA512 dbae1db127e2aed0a90bb01db6e2865162f945a9e6713f5048c7f56660231a14c3707474f9f65db8759f2f03334c3126d0542c3c8c2e0998d0f7f98ae6e84ef8
diff --git a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.23.0.ebuild b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.23.0.ebuild
index e7960d2bbf8a..2db25e4b2906 100644
--- a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.23.0.ebuild
+++ b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.23.0.ebuild
@@ -50,7 +50,8 @@ BDEPEND="
)
"
-EPYTEST_XDIST=1
+# Tests cannot handle xdist with high makeopts
+# https://bugs.gentoo.org/928132
distutils_enable_tests pytest
src_prepare() {
diff --git a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.24.0.ebuild b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.24.0.ebuild
new file mode 100644
index 000000000000..2db25e4b2906
--- /dev/null
+++ b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.24.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="opentelemetry-python-${PV}"
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenTelemetry Python SDK"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
+ ~dev-python/opentelemetry-semantic-conventions-${PV}[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asgiref[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/importlib-metadata[${PYTHON_USEDEP}]
+ dev-python/iniconfig[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+ dev-python/py[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+ )
+"
+
+# Tests cannot handle xdist with high makeopts
+# https://bugs.gentoo.org/928132
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Use the same version with all opentelemetry components
+ # # https://github.com/gentoo/gentoo/pull/35962#issuecomment-2025466313
+ sed -i -e "s/\"\(opentelemetry-semantic-conventions == \).*\"/\"\1 ${PV}\"/" pyproject.toml || die
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in tests/opentelemetry-test-utils; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local -x EPYTEST_IGNORE=(
+ tests/performance/benchmarks/
+ )
+
+ epytest
+}
diff --git a/dev-python/opentelemetry-semantic-conventions/Manifest b/dev-python/opentelemetry-semantic-conventions/Manifest
index 82f3ae2ef0af..a6e4faac064e 100644
--- a/dev-python/opentelemetry-semantic-conventions/Manifest
+++ b/dev-python/opentelemetry-semantic-conventions/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.23.0.gh.tar.gz 523456 BLAKE2B 94047e0d806ce17f0116fd6343daeecbf738c41e3e1cc1cbf8af9a0b1c44b29cecbc597011a7ffe15ffc656f2744750d9117d63bdaa77c7971248f58f9580c8e SHA512 8a2cb94d774db15eb6bb7fd97d5b761d35066779072c0ce0cf51b6d1083d115120b932598c0da2efb20060e8a4c65415a74f508011ccca7242e2d79705f0c246
+DIST opentelemetry-python-1.24.0.gh.tar.gz 532064 BLAKE2B 3dc13658293d1651d8e441b0c43f539a4e5e9d49d633786cb3f3dbab667b016c88777e0691bac24ca43e7df5f04c8e41a67e9f6991787947d743b1b30b5953cd SHA512 dbae1db127e2aed0a90bb01db6e2865162f945a9e6713f5048c7f56660231a14c3707474f9f65db8759f2f03334c3126d0542c3c8c2e0998d0f7f98ae6e84ef8
diff --git a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.24.0.ebuild b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.24.0.ebuild
new file mode 100644
index 000000000000..8efd5e979744
--- /dev/null
+++ b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.24.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="opentelemetry-python-${PV}"
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenTelemetry Semantic Conventions"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ test? (
+ dev-python/asgiref[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/importlib-metadata[${PYTHON_USEDEP}]
+ dev-python/iniconfig[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+ dev-python/py[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Use the same version with all opentelemetry components
+ # https://github.com/gentoo/gentoo/pull/35962#issuecomment-2025466313
+ sed -i -e "s/\(__version__ =\) .*/\1 \"${PV}\"/" src/opentelemetry/semconv/version.py || die
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-api opentelemetry-sdk tests/opentelemetry-test-utils ; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ epytest
+}
diff --git a/dev-python/pipx/Manifest b/dev-python/pipx/Manifest
index 61b8f1f44a6d..d60fee2198cc 100644
--- a/dev-python/pipx/Manifest
+++ b/dev-python/pipx/Manifest
@@ -1,2 +1,3 @@
DIST pipx-1.4.1-test-shim.tar.xz 76316 BLAKE2B 25200c9519f8e916cba3933b4df3cc808d5575ac055c4465dbd4cf0ced92bc7f0bca5c448e324b9d61a0cf70710f584cfba6106859ffcccf42e0f59910b81cd0 SHA512 760ad73c67588747bed91b7172821a8e899e52fff8966836d7a2b3dc8cd3946006c76fdcae0320364fe0cb5afc8b51dd583c0a3720099812702fb585b98b9fef
DIST pipx-1.4.3.gh.tar.gz 361782 BLAKE2B 579f16fe9c8fca973a2fdd1dc6b0cee9ae9d3da37be5acd1cc9d14e37fb291f678986bcfd52b185ebce3200000817a9dacdce95473f9fd498d4f6dc89cf7d3da SHA512 423310d4a2523fdb0eca69fd5ee861f8cad144f458aaf63008ca018fea0dc3b6a4274f7cae1ffdde45013dd85eee05a4a379589a93f4c369376e122a5dc4f23e
+DIST pipx-1.5.0.gh.tar.gz 374890 BLAKE2B 214e6a3f73815888ab06fbf75e09434cf033bba402a0aa39d803a24ad052d3b9ece1d6daab79f1c5196e8da09d1ea085f96f816da4240df6ec67f88f8d1f2121 SHA512 7d8d64f2b042f050153dee27a759de2734a567a445470411c2838292e9365cfa18199cb096c0015651210e656173006be0cba20a16cc4b3ebc211a6a2caef2c7
diff --git a/dev-python/pipx/pipx-1.5.0.ebuild b/dev-python/pipx/pipx-1.5.0.ebuild
new file mode 100644
index 000000000000..40b4da4c5ce3
--- /dev/null
+++ b/dev-python/pipx/pipx-1.5.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+TEST_SHIM=pipx-1.4.1-test-shim
+DESCRIPTION="Install and Run Python Applications in Isolated Environments"
+HOMEPAGE="
+ https://pipx.pypa.io/stable/
+ https://pypi.org/project/pipx/
+ https://github.com/pypa/pipx/
+"
+# no tests in sdist
+SRC_URI="
+ https://github.com/pypa/pipx/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://dev.gentoo.org/~mgorny/dist/${TEST_SHIM}.tar.xz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/argcomplete-1.9.4[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ >=dev-python/userpath-1.9.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ensurepip-pip
+ dev-python/ensurepip-setuptools
+ dev-python/ensurepip-wheel
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+ if use test; then
+ cp -vs "${BROOT}"/usr/lib/python/ensurepip/{pip,setuptools,wheel}-*.whl \
+ "${WORKDIR}/${TEST_SHIM}/" || die
+ mkdir -p .pipx_tests/package_cache || die
+ local v
+ for v in 3.{10..12}; do
+ ln -s "${WORKDIR}/${TEST_SHIM}" \
+ ".pipx_tests/package_cache/${v}" || die
+ done
+
+ : > scripts/update_package_cache.py || die
+ # sigh
+ sed -e 's:server = str.*:server = "pypi-server":' \
+ -i tests/conftest.py || die
+ fi
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_run.py::test_run_ensure_null_pythonpath
+ tests/test_run.py::test_run_script_from_internet
+ 'tests/test_install.py::test_install_package_specs[pycowsay-git+https://github.com/cs01/pycowsay.git@master]'
+ tests/test_install.py::test_force_install_changes
+ 'tests/test_install.py::test_install_package_specs[nox-https://github.com/wntrblm/nox/archive/2022.1.7.zip]'
+ tests/test_interpreter.py::test_fetch_missing_python
+ tests/test_list.py::test_list_standalone_interpreter
+ tests/test_standalone_interpreter.py
+ # TODO
+ tests/test_environment.py::test_cli
+ tests/test_run.py::test_cachedir_tag
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/respx/respx-0.21.1.ebuild b/dev-python/respx/respx-0.21.1.ebuild
index f187ce1cfa07..b5157b7d28bd 100644
--- a/dev-python/respx/respx-0.21.1.ebuild
+++ b/dev-python/respx/respx-0.21.1.ebuild
@@ -31,6 +31,7 @@ BDEPEND="
test? (
dev-python/flask[${PYTHON_USEDEP}]
dev-python/httpcore[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/starlette[${PYTHON_USEDEP}]
dev-python/trio[${PYTHON_USEDEP}]
)
@@ -39,5 +40,5 @@ BDEPEND="
distutils_enable_tests pytest
python_test() {
- epytest -p 'no:*' -o addopts=
+ epytest -p 'no:*' -p asyncio -o addopts=
}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index cb98c3e2eb9a..1fffb7fda4c8 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,3 +1,4 @@
DIST sentry-python-1.41.0.gh.tar.gz 462664 BLAKE2B 6c0b8256d639682124db51e27f81458930a53885682c3441edcfe12bdff4e63aec5fed78a88f9c13002efb9ea1ed064d8694c4e80bbcdf14c3fa4f394a884273 SHA512 5e58d5a7f06e3afb35645186373a9e6ef87ced3c11ddafcaa45e6a6760d08a812ef1c839d28e91ffd9844c64255e48001bd503536c15ba43366518685b764936
DIST sentry-python-1.42.0.gh.tar.gz 468530 BLAKE2B 787da292e9e218e195deae022274d74c032f5749ecf86be45cfa59de10b2ab4281e0ddcb6fdd804f887fa63ca669c9f4db4396a1077647be8438524c6edba081 SHA512 88bf44f4b214d1accd28744ac5300681ee8f6d23f4508f1df043366c9c758251e63f5aede778e8584c778c209f9c758d12743109798a746d2599aa7d7f53550b
DIST sentry-python-1.43.0.gh.tar.gz 470635 BLAKE2B 3e683381108c707cd16ccd4d25ac714123acaec545ed8b8e603d41584fc61ec3151c4f78eaeffa8029403a3df42c9b43e08cc604078a3a1891cc0cfee3d58a02 SHA512 3161d9a1b8d5ccbceb168f82dd852be7f4573293ac420b8417cdb890eca6e2eb17d6358eb5816d9eaedaa56dfa27a073f78cb21bb022317e139fbf2883a7fa75
+DIST sentry-python-1.44.0.gh.tar.gz 471491 BLAKE2B a61ea8076c58df8296128c0604e5292626a7100a525e9a496ebd4f9e17fb64c695b78185d6a45345a10fd88545eb972ce4887eb4a9de1b3c05bb96937fc1af6f SHA512 ff9ecc13b0cf60a5b6e209bb8de22bb482ebc29977c843e0d39ee07338897e315b3f11a7e51cc92e88f4679ea897bee5b367421a851b68f2efe36d65be155f23
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.44.0.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.44.0.ebuild
new file mode 100644
index 000000000000..fbe52a96ae8e
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.44.0.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+MY_P=sentry-python-${PV}
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ <dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/python-socks[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/sentry-sdk-1.21.0-ignore-warnings.patch"
+)
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ tests/integrations/socket/test_socket.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # TODO: causes breakage in other tests
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+ # requires AWS access
+ tests/integrations/aws_lambda
+ # requires quart_auth
+ tests/integrations/quart
+ # TODO: require opentelemetry (with py3.10)
+ tests/integrations/opentelemetry
+ )
+
+ local EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_custom_session_cookies_filtered
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_large_event_not_truncated
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_session_cookies_{filtered,removed}
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+ # broken with py3.11, *shrug*
+ tests/test_profiler.py::test_extract_stack_with_max_depth
+ # TODO
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_long_sql_query_preserved
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_engine_name_not_string
+ tests/test_scrubber.py::test_breadcrumb_extra_scrubbing
+ tests/test_scrubber.py::test_span_data_scrubbing
+ # this is not even funny
+ tests/test_utils.py::test_installed_modules
+ # flaky hypothesis stuff
+ tests/test_serializer.py::test_bytes_serialization_repr_many
+ # TODO
+ tests/integrations/aiohttp/test_aiohttp.py::test_basic
+ tests/tracing/test_decorator_py3.py::test_trace_decorator_{,a}sync_py3
+ # crashes Python
+ tests/integrations/grpc/test_grpc_aio.py
+ # hangs
+ tests/integrations/threading/test_threading.py::test_propagates_threadpool_hub
+ # TODO
+ tests/test_utils.py::test_default_release
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_orm_queries
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_transactions
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_query_source
+ tests/integrations/stdlib/test_subprocess.py::test_subprocess_basic
+ tests/integrations/threading/test_threading.py
+ tests/integrations/wsgi/test_wsgi.py
+ 'tests/utils/test_contextvars.py::test_leaks[threads]'
+ # skipped without gevent but breaks stuff via broken teardown?
+ tests/test_metrics.py::test_no_metrics_with_gevent
+ # TODO
+ tests/utils/test_contextvars.py::test_leaks
+ # broken teardown?
+ tests/test_client.py::test_uwsgi_warnings
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p aiohttp -p pytest_forked
+}
diff --git a/dev-python/superqt/Manifest b/dev-python/superqt/Manifest
index 833334439baa..53114f50ef20 100644
--- a/dev-python/superqt/Manifest
+++ b/dev-python/superqt/Manifest
@@ -1,2 +1 @@
-DIST superqt-0.6.1.tar.gz 94217 BLAKE2B 9958bb87977d7df6755a625c2b802ada531b1685fc4f0a8d5b327ad0ccfa2a21d7f10238a63116b4cdf6aa59304f0c8ea4967ab166fd423d0d95695f33305df7 SHA512 dc2285aae99e9279b3a88df3fbf8e59c70111f9b1bd82df79feff6013ba8bbf9221a4b4183bb6d3aa9491a6a796b766f26c826811154b854d7d232fcdebf8f74
DIST superqt-0.6.2.tar.gz 94990 BLAKE2B 1990dcd048fd18913d2c68eb41dd3a0fb1778e468e6c74608f6171e92c0f2a4bf828fb3f73fbbf47f2404fda9864af8bcac66a0a490c35c596e5b5090be39a3a SHA512 8c794ea8dfb8e5aedb3390ce895d392e76faa714f08c1a43c4d8b82ca6353317d9050e5b79d0696e85247fb8772c5fea20642bd7914b1713cd63a737c64397fb
diff --git a/dev-python/superqt/superqt-0.6.1.ebuild b/dev-python/superqt/superqt-0.6.1.ebuild
deleted file mode 100644
index b987458376fb..000000000000
--- a/dev-python/superqt/superqt-0.6.1.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 pypi virtualx
-
-DESCRIPTION="Missing widgets and components for PyQt/PySide"
-HOMEPAGE="
- https://github.com/pyapp-kit/superqt
- https://pypi.org/project/superqt/
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- dev-python/packaging[${PYTHON_USEDEP}]
- >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
- >=dev-python/QtPy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-3.7.4.3[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pytest-qt[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_IGNORE=(
- # pint and pyconify not packaged
- tests/test_quantity.py
-)
-
-EPYTEST_DESELECT=(
- # fails in the sandbox, but works outside of it
- tests/test_eliding_label.py::test_wrapped_eliding_label
-)
-
-distutils_enable_tests pytest
-
-python_test() {
- virtx distutils-r1_python_test
-}
diff --git a/dev-python/tree-sitter/metadata.xml b/dev-python/tree-sitter/metadata.xml
index 853174b8f2ab..3cab7a4c9c48 100644
--- a/dev-python/tree-sitter/metadata.xml
+++ b/dev-python/tree-sitter/metadata.xml
@@ -5,6 +5,10 @@
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
+ <maintainer type="project">
+ <email>pkgcore@gentoo.org</email>
+ <name>Pkgcore</name>
+ </maintainer>
<origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index 50024f5abdcc..eca32fbc413e 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1,3 +1,4 @@
DIST trimesh-4.1.8.gh.tar.gz 13440336 BLAKE2B aa4bddc3d613144a0e304ec320a2b38df213846260e2525dae0f0f35a4146561e7b81dc88e197a5b0f0a76ff4b757c30df2a68fe0db0d4a37cdc8a91aedc41ba SHA512 e20ca45f08a4d65c44c214b104af7c6d9d27121716ed7efd53a521c5b896ce788dba91b7794db518f26bb2ae86a1b8269af94f9b9381f8fdd342372b4ba86ce4
DIST trimesh-4.2.0.gh.tar.gz 13553809 BLAKE2B 141aec46cb8bf2342251a72e5e4c1fbee1e33e4ff63d420cfa4db1758fc324d572d54932ce1526ba2df75d9770f001d9dbe41a79835837931c4c46221fbb6871 SHA512 75efd00ef5ff8f9c25bdfb06ab92fa09db154771356b18ebcf457cba4c2f366645084eb078e5e324cfb41fe101797694aa6b00005f7ccd1290ba4d2d6c088ebd
DIST trimesh-4.2.1.gh.tar.gz 13554447 BLAKE2B 02b75d8768963c250bbc1ebb75815567736a74b288da2a781b83fc3d31934059ebb85115c2e556a29da6c0e3034714226addba062d776acca4953414d1ed3492 SHA512 bdcd8436869849e8e8897732e0b9f8390d0771ea8dcadabb108ee8245d75c4d0ac915456473b6b0ed4f2f27fad48e123511e0bcfc79d485119376290c6f6d311
+DIST trimesh-4.2.3.gh.tar.gz 13554586 BLAKE2B 2c82690a17d8c62c80c99e87d9347ab85c14b2170fbdccc7967f893f6d83bed9aa2e38ef3f024567893d926511b34b20109bb94c8e976ced9d7a77190a653f14 SHA512 541438e5f5bd577af693bb238b308c7094b334530d7a962881e05db81331e1c896c82f76b0dcd4bfa17abcfec9eadf869bb0cad01e1402e99852c3ff2d184e5f
diff --git a/dev-python/trimesh/trimesh-4.2.3.ebuild b/dev-python/trimesh/trimesh-4.2.3.ebuild
new file mode 100644
index 000000000000..3c64a487b0bc
--- /dev/null
+++ b/dev-python/trimesh/trimesh-4.2.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimesh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mapbox_earcut[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_TIMEOUT=1800
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox_earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" dev-python/scikit-image
+}
diff --git a/dev-python/uv/uv-0.1.24.ebuild b/dev-python/uv/uv-0.1.24.ebuild
index 5eaf16db71da..ffb629683410 100644
--- a/dev-python/uv/uv-0.1.24.ebuild
+++ b/dev-python/uv/uv-0.1.24.ebuild
@@ -41,7 +41,7 @@ LICENSE+="
# ring crate
LICENSE+=" openssl"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
IUSE="test"
RESTRICT="test"
PROPERTIES="test_network"
diff --git a/dev-python/xarray/Manifest b/dev-python/xarray/Manifest
index d2dab91832ff..47147154332b 100644
--- a/dev-python/xarray/Manifest
+++ b/dev-python/xarray/Manifest
@@ -1,2 +1,3 @@
DIST xarray-2024.1.1.tar.gz 3614037 BLAKE2B cc50fbfa19a2c9229b85b8c7d5d0e7e7f6d3e5a484955fcc81aa0b37839a0b992d2c2f928e4097ca05c7b8294ed1061fbd0c1b7e7c65c9087a940dab97c520ce SHA512 b6447ca2c80b3a3091ac2baba648fef4faa79ffff272360e9726b318b517ede9d2717d1b6f77f03fdacf55527233f1a37c0d114901fe1a265d3e435cf293a487
DIST xarray-2024.2.0.tar.gz 3634288 BLAKE2B 8d1165360300da5af6d670947e5280052a3d8915768e02448b86ab38283d6d45258a2c4eb91982ba732ccedb3a7afc5f274116c9ee0072d35cdc5631b8a2ca50 SHA512 dcfe6d1f0edab8659664c5399b96d622d2e3df2f85bb7672d9afab6f74294a6449772efde080aaa7323f733c09cbd0f6f037e547be0afa79f39450eead777828
+DIST xarray-2024.3.0.tar.gz 3674424 BLAKE2B a255ad57329a322751fd96833128372e12b175ad11aa41eff21f0c188f7beb4e6ad0f904a4229d44f13222c45c127ac0be77e050ba5032255839733a084da5f0 SHA512 4c7490b2efb4ed1a7278c807f4d200d99407d21bd54287ca5d35300194049a82aef3d8fbedba8f180ddb0d554cbb3f8f63abbb01401d5904f6d29cfa729e2ab0
diff --git a/dev-python/xarray/xarray-2024.3.0.ebuild b/dev-python/xarray/xarray-2024.3.0.ebuild
new file mode 100644
index 000000000000..d188cd48f1da
--- /dev/null
+++ b/dev-python/xarray/xarray-2024.3.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="N-D labeled arrays and datasets in Python"
+HOMEPAGE="
+ https://xarray.pydata.org/
+ https://github.com/pydata/xarray/
+ https://pypi.org/project/xarray/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="big-endian"
+
+RDEPEND="
+ >=dev-python/numpy-1.23[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.5[${PYTHON_USEDEP}]
+ >=dev-python/packaging-22[${PYTHON_USEDEP}]
+"
+# note: most of the test dependencies are optional
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/bottleneck[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/toolz[${PYTHON_USEDEP}]
+ !hppa? ( >=dev-python/scipy-1.4[${PYTHON_USEDEP}] )
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # warning-targeted tests are fragile and not important to end users
+ xarray/tests/test_backends.py::test_no_warning_from_dask_effective_get
+ # TODO: segv in netcdf4-python
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-5-5]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-5-None]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-None-5]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-None-None]'
+ xarray/tests/test_backends.py::TestDask::test_save_mfdataset_compute_false_roundtrip
+ # TODO: broken
+ xarray/tests/test_backends.py::TestNetCDF4Data
+ xarray/tests/test_backends.py::TestNetCDF4ViaDaskData
+ # hangs
+ xarray/tests/test_backends.py::TestDask::test_dask_roundtrip
+ # mismatches when pyarrow is installed
+ # https://github.com/pydata/xarray/issues/8092
+ xarray/tests/test_dask.py::TestToDaskDataFrame::test_to_dask_dataframe_2D
+ xarray/tests/test_dask.py::TestToDaskDataFrame::test_to_dask_dataframe_not_daskarray
+ )
+ local EPYTEST_IGNORE=(
+ # requires datatree_ subpackage that is not part of public API
+ # https://github.com/pydata/xarray/issues/8768
+ xarray/tests/datatree
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ if ! has_version ">=dev-python/scipy-1.4[${PYTHON_USEDEP}]" ; then
+ EPYTEST_DESELECT+=(
+ 'xarray/tests/test_missing.py::test_interpolate_na_2d[coords1]'
+ )
+ fi
+
+ if use big-endian ; then
+ EPYTEST_DESELECT+=(
+ # Appears to be a numpy issue in display? See bug #916460.
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-20-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-09-21T00:12:44.145224808-ns-float64-1e+30-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225216-ns-float64--9.223372036854776e+18-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225-us-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-01-01T00:00:01.000001-us-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:21:52.901038080-ns-float32-20.0-True]'
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/xmlsec/xmlsec-1.3.12-r3.ebuild b/dev-python/xmlsec/xmlsec-1.3.12-r4.ebuild
index 1c57aec6bf91..962aacb6b19d 100644
--- a/dev-python/xmlsec/xmlsec-1.3.12-r3.ebuild
+++ b/dev-python/xmlsec/xmlsec-1.3.12-r4.ebuild
@@ -26,10 +26,9 @@ SLOT="0"
KEYWORDS="amd64 arm64 ~ppc64 x86"
# Doesn't yet support xmlsec-1.3.0: https://github.com/xmlsec/python-xmlsec/issues/252
-# Doesn't yet support lxml-5: https://github.com/xmlsec/python-xmlsec/issues/277
RDEPEND="
<dev-libs/xmlsec-1.3.0:=[openssl]
- <dev-python/lxml-5[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}"
BDEPEND="